Class Fox::FXDialogBox

In: | FXDialogBox.rb
Parent: | FXTopWindow

Dialog box window.

When receiving `ID_CANCEL` or `ID_ACCEPT`, the dialog box breaks out of the modal loop and returns `FALSE` or `TRUE`, respectively. To close the dialog box when it’s not running modally, simply send it `ID_HIDE`.

### Message identifiers

`ID_CANCEL`: | Close the dialog, cancel the entry
`ID_ACCEPT`: | Close the dialog, accept the entry

Methods

execute new new

Public Class methods

new(app, title, opts=DECOR_TITLE|DECOR_BORDER, x=0, y=0, w=0, h=0, padLeft=10, padRight=10, padTop=10, padBottom=10, hSpacing=4, vSpacing=4) {|theDialogBox| ...}

Construct free-floating dialog.

new(owner, title, opts=DECOR_TITLE|DECOR_BORDER, x=0, y=0, w=0, h=0, padLeft=10, padRight=10, padTop=10, padBottom=10, hSpacing=4, vSpacing=4) {|theDialogBox| ...}

Construct dialog which will always float over the owner window.

Public Instance methods

execute(placement=PLACEMENT_CURSOR)

Run a modal invocation of the dialog, with specified initial placement.